package fetch

import (
	"os"
	"strconv"
	"strings"
	"time"
)

const (
	uptimeProcPath = "/proc/uptime"
)

func Uptime() (time.Duration, error) {
	uptimeData, err := os.ReadFile(uptimeProcPath)
	if err != nil {
		return 0, err
	}

	rawUptime := string(uptimeData)
	uptimeSeconds, err := strconv.Atoi(strings.Split(rawUptime, ".")[0])
	if err != nil {
		return 0, nil
	}

	duration := time.Duration(uptimeSeconds) * time.Second

	return duration, nil
}
